Skip to main content
PATCH
/
v1
/
notifications
/
webhooks
/
{id}
Update a webhook endpoint
curl --request PATCH \
  --url https://api.paystack.com/v1/notifications/webhooks/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>",
  "event_categories": [],
  "active": true
}
'
{
  "status": true,
  "message": "Webhook endpoint updated",
  "code": "ok",
  "data": {
    "id": "whr_01HXYZABC1234567890ABCDEFG",
    "url": "https://merchant.example.com/webhooks",
    "event_categories": [
      "onramp",
      "conversion"
    ],
    "active": false,
    "created_at": "2026-05-26T12:00:00.000Z",
    "updated_at": "2026-05-26T12:00:00.000Z"
  },
  "meta": {
    "request_id": "req_01HXYZ4K5ABCDEFGHJKLMNPQRS",
    "timestamp": "2026-05-14T15:43:55.732Z",
    "version": "1"
  }
}

Authorizations

Authorization
string
header
required

API key issued during merchant onboarding.

Path Parameters

id
string
required
Pattern: [^\/#\?]+?

Body

application/json

UpdateWebhookEndpointDto

url
string<url>
event_categories
enum<string>[]
Minimum array length: 1
Available options:
onramp,
offramp,
conversion,
transfer,
deposit,
kyc
active
boolean

Response

Webhook endpoint updated

status
enum<boolean>
required
Available options:
true
Example:

true

message
string
required

Human-readable summary

Example:

"Webhook endpoint updated"

code
enum<string>
required
Available options:
ok
Example:

"ok"

data
object
required
meta
object
required